Paying too much to process cards? Get a cheaper quote today.Schedule a call →

Disputes

3 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.

Every request needs payments-api-key and payments-account.

GET/v1/disputes

List all Disputes

Returns a list of Disputes. The Disputes are sorted with the most recently created appearing first.

Query parameters

  • charge_idstringoptional

    Only returns disputes for the charge specified by this charge ID.

  • include_connected_accountsbooleanoptional

    Whether or not to include the results from any connected accounts.

  • created_at_gtestring date-timeoptional

    Minimum created_at value to filter by (inclusive).

  • created_at_ltestring date-timeoptional

    Maximum created_at value to filter by (inclusive).

  • statusarray of string (warning_needs_response | warning_under_review | warning_closed | needs_response | under_review | closed | won | lost)optional

    String indicating the status to filter the result by.

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200PaginatedDto | object

  • has_morebooleanrequired

    Whether or not there are more elements available after this set. If false, this set comprises the end of the list.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • totalnumberoptional

    The total items count.

  • itemsarray of Disputerequired

GET/v1/disputes/{id}

Get a Dispute

Retrieves the details of an existing Dispute.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200Dispute

  • account_idstringrequired

    The ID of the Account associated with this dispute.

  • amountnumberrequired

    Amount of the charge that is in dispute in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency). If the dispute is type chargeback the amount has already been deducted from your account balance and can only be restored by submitting evidence proving the validity of the charge.

  • balance_transactionsarray of BalanceTransactionrequired

    The balance transactions that describes the impact of this dispute on your account balance.

  • charge_idstringrequired

    The ID of the Charge associated with this dispute.

  • closing_atstring date-timeoptional

    Time at which the supporting evidence is due and the dispute will be closed with no response.

  • created_atstring date-timerequired

    Time at which the object was created.

  • currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)required

    Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase.

  • evidenceDisputeEvidenceoptional

    Evidence submitted to challenge the dispute.

  • idstringrequired

    Unique identifier for the object.

  • losing_atstring date-timeoptional

    Time at which the a dispute will be marked lost.

  • reason_descriptionstringoptional

    Description explaining the reason for a dispute

  • reversed_atstring date-timeoptional

    Time at which the dispute was reversed.

  • statusstring (warning_needs_response | warning_under_review | warning_closed | needs_response | under_review | closed | won | lost)required

    Current status of the dispute.

  • status_historyarray of DisputeStatusHistoryrequired

    Status history of the dispute.

  • updated_atstring date-timerequired

    Time at which the object was updated.

POST/v1/disputes/{id}

Create Dispute Evidence

Creates Dispute evidence. Dispute evidence can only be submitted prior to the closing_at date.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Request body application/jsonrequired

  • descriptionstringoptional

    Description of the evidence submitted to challenge the dispute.

  • filesarray of DisputeFileCreateParamsoptional

    Evidentiary files to attach to the dispute.

    • file_idstringrequired

      The id of the file.

    • typestring (customer_communications | refund_policy | cancellation_policy | customer_signature | receipt | service_documentation | duplicate_charge_documentation | shipping_documentation | …)required

      The type of evidence provided in the file.

Responses

201Dispute

  • account_idstringrequired

    The ID of the Account associated with this dispute.

  • amountnumberrequired

    Amount of the charge that is in dispute in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency). If the dispute is type chargeback the amount has already been deducted from your account balance and can only be restored by submitting evidence proving the validity of the charge.

  • balance_transactionsarray of BalanceTransactionrequired

    The balance transactions that describes the impact of this dispute on your account balance.

  • charge_idstringrequired

    The ID of the Charge associated with this dispute.

  • closing_atstring date-timeoptional

    Time at which the supporting evidence is due and the dispute will be closed with no response.

  • created_atstring date-timerequired

    Time at which the object was created.

  • currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)required

    Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase.

  • evidenceDisputeEvidenceoptional

    Evidence submitted to challenge the dispute.

  • idstringrequired

    Unique identifier for the object.

  • losing_atstring date-timeoptional

    Time at which the a dispute will be marked lost.

  • reason_descriptionstringoptional

    Description explaining the reason for a dispute

  • reversed_atstring date-timeoptional

    Time at which the dispute was reversed.

  • statusstring (warning_needs_response | warning_under_review | warning_closed | needs_response | under_review | closed | won | lost)required

    Current status of the dispute.

  • status_historyarray of DisputeStatusHistoryrequired

    Status history of the dispute.

  • updated_atstring date-timerequired

    Time at which the object was updated.